#include <iostream>

int main() {
	int n, k;
	std::cin >> n;
	std::cin >> k;

	int f, t;
	std::cin >> f;

	bool isNext = f == k;

	int i = 1;

	for (; i < n; i++) {
		std::cin >> t;

		if (isNext) break;

		if (t == k) {
			isNext = true;
		}
	}

	std::cout << (i == n ? f : t) << std::endl;


//	int a[n];
//
//	for (int i = 0; i < n; i++)
//		std::cin >> a[i];
//
//	int i = 0;
//	for (; a[i] != k && i < n; i++);
//
//	std::cout << a[i == n - 1 ? 0 : i + 1] << std::endl;

	return 0;
}